<html><title>Shards of Destiny</title>
<body><center>
<img src="L2UI_CH3.herotower_deco" width=256 height=32>
<br><br><br>
Do you have the documents or would you like to present the relics you found?
<br><br>
<a action="bypass -h Quest 75001_NobleBlood 90023-2.htm">Documents about noble blood</a>
<br>
<a action="bypass -h Quest 75001_NobleBlood 90023-5.htm">Elmoaden relics</a>
<br>
<img src="L2UI_CH3.herotower_deco" width=256 height=32>
</center></body>
</html>